#!/usr/bin/perl
# $Id: am_email_contacts.pl,v 1.1 2001/10/04 21:54:04 will Exp $
# Copyright 2001 Sun Microsystems, Inc., All rights reserved.
# Pirate the Active Monitor email alerts list for this module
# Will DeHaan <null@sun.com>

# Global Paths & Config
my $namespace = 'Overflow';

# Perl libraries, all Sausalito
use lib qw(/usr/sausalito/perl);
use CCE;

my $cce = new CCE;
$cce->connectfd();

my $object = $cce->event_object();
my $new = $cce->event_new();

my $sysoid = ($cce->find('System'))[0];

my $alerts;
foreach my $addr (split('&', $new->{alertEmailList}))
{
	next unless ($addr);
	$alerts .= ', ' if ($alerts);
	$alerts .= $addr;
}

my ($ret) = $cce->set($sysoid, $namespace, {
	'alertEmail' => $alerts
	});

$cce->bye('SUCCESS');
exit 0;


